# File: command.coffee

Defined in: | node_modules/grunt-codo/node_modules/codo/node_modules/haml-coffee/src/cli

## Variables Summary

red =

      '\u001b[31m'

green =

      '\u001b[32m'

reset =

      '\u001b[0m'

## Method Summary

- ~ (void) run() Main function to run from console.

## Method Details

~ (void) run()

Main function to run from console. This can either compile a single Haml Coffee template, compile a directory of Haml Coffee templates into several JavaScript templates or a directory of Haml Coffee templates into one JavaScript template.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input